#include <glib.h>

const gchar *gui_glade = 
"<?xml version=\"1.0\"?>\n"
"<interface>\n"
"  <!-- interface-requires gtk+ 2.12 -->\n"
"  <!-- interface-naming-policy project-wide -->\n"
"  <object class=\"GtkAboutDialog\" id=\"about_dialog\">\n"
"    <property name=\"border_width\">5</property>\n"
"    <property name=\"title\" translatable=\"yes\" comments=\"window title\">About createrec ...</property>\n"
"    <property name=\"role\">createrec/about</property>\n"
"    <property name=\"resizable\">False</property>\n"
"    <property name=\"destroy_with_parent\">True</property>\n"
"    <property name=\"type_hint\">normal</property>\n"
"    <property name=\"startup_id\">createrec/about</property>\n"
"    <property name=\"has_separator\">False</property>\n"
"    <property name=\"program_name\">createrec</property>\n"
"    <property name=\"version\">0.1</property>\n"
"    <property name=\"copyright\">Copyright &#xA9; 2009 Markus Kohm</property>\n"
"    <property name=\"comments\" translatable=\"yes\" comments=\"about text\">Converting video files into recordings\n"
"of the receiver Comag PVR2/100 CI.</property>\n"
"    <property name=\"website\">http://tscomagcv.berlios.de</property>\n"
"    <property name=\"website_label\">Comag Stream Converter</property>\n"
"    <property name=\"license\" translatable=\"yes\" comments=\"Do not change the license!\">createrec - a converter from video to comag records\n"
"Copyright &#xA9; 2009  Markus Kohm\n"
"\n"
"This program is free software: you can redistribute it and/or modify\n"
"it under the terms of the GNU General Public License as published by\n"
"the Free Software Foundation, version 3 of the License.\n"
"\n"
"This program is distributed in the hope that it will be useful,\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
"GNU General Public License for more details.\n"
"\n"
"You should have received a copy of the GNU General Public License\n"
"along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.\n"
"</property>\n"
"    <property name=\"authors\">Markus Kohm (data analyzation, design, implementation)\n"
"Thomas Debe (data analyzation, test)\n"
"GDRGuy69 (&lt;http://uclinux-mb86h2x.cvs.sourceforge.net/viewvc/uclinux-mb86h2x/PVR2_100CI&gt;)\n"
"</property>\n"
"    <property name=\"documenters\">Markus Kohm</property>\n"
"    <property name=\"translator_credits\">Markus Kohm (english and german gui)</property>\n"
"    <child internal-child=\"vbox\">\n"
"      <object class=\"GtkVBox\" id=\"dialog-vbox1\">\n"
"        <property name=\"visible\">True</property>\n"
"        <property name=\"orientation\">vertical</property>\n"
"        <property name=\"spacing\">2</property>\n"
"        <child>\n"
"          <placeholder/>\n"
"        </child>\n"
"        <child internal-child=\"action_area\">\n"
"          <object class=\"GtkHButtonBox\" id=\"dialog-action_area1\">\n"
"            <property name=\"visible\">True</property>\n"
"            <property name=\"layout_style\">end</property>\n"
"          </object>\n"
"          <packing>\n"
"            <property name=\"expand\">False</property>\n"
"            <property name=\"pack_type\">end</property>\n"
"            <property name=\"position\">-1</property>\n"
"          </packing>\n"
"        </child>\n"
"      </object>\n"
"    </child>\n"
"  </object>\n"
"  <object class=\"GtkDialog\" id=\"main_dialog\">\n"
"    <property name=\"border_width\">5</property>\n"
"    <property name=\"type_hint\">normal</property>\n"
"    <property name=\"has_separator\">False</property>\n"
"    <signal name=\"destroy\" handler=\"quit_button_clicked_cb\"/>\n"
"    <child internal-child=\"vbox\">\n"
"      <object class=\"GtkVBox\" id=\"dialog-vbox2\">\n"
"        <property name=\"visible\">True</property>\n"
"        <property name=\"orientation\">vertical</property>\n"
"        <property name=\"spacing\">2</property>\n"
"        <child>\n"
"          <object class=\"GtkStatusbar\" id=\"statusbar\">\n"
"            <property name=\"visible\">True</property>\n"
"            <child>\n"
"              <object class=\"GtkProgressBar\" id=\"status_progressbar\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"show_text\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"position\">0</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"status_label\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"label\">Setup ...</property>\n"
"                <property name=\"single_line_mode\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"pack_type\">end</property>\n"
"                <property name=\"position\">1</property>\n"
"              </packing>\n"
"            </child>\n"
"          </object>\n"
"          <packing>\n"
"            <property name=\"expand\">False</property>\n"
"            <property name=\"position\">0</property>\n"
"          </packing>\n"
"        </child>\n"
"        <child>\n"
"          <object class=\"GtkHSeparator\" id=\"hseparator1\">\n"
"            <property name=\"visible\">True</property>\n"
"          </object>\n"
"          <packing>\n"
"            <property name=\"expand\">False</property>\n"
"            <property name=\"position\">2</property>\n"
"          </packing>\n"
"        </child>\n"
"        <child>\n"
"          <object class=\"GtkTable\" id=\"table1\">\n"
"            <property name=\"visible\">True</property>\n"
"            <property name=\"n_rows\">7</property>\n"
"            <property name=\"n_columns\">3</property>\n"
"            <property name=\"column_spacing\">10</property>\n"
"            <property name=\"row_spacing\">2</property>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label1\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Conversion may be done only for files in MPEG transport \n"
"stream format.  If a file is a video but not a MPEG TS it will be\n"
"converted using ffmpeg automaticly.</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files directory&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">_Video file:</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"                <property name=\"mnemonic_widget\">inputfile_button</property>\n"
"                <property name=\"single_line_mode\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"x_options\">GTK_FILL</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"                <property name=\"x_padding\">3</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkFileChooserButton\" id=\"inputfile_button\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Conversion may be done only for files in MPEG transport \n"
"stream format.  If a file is a video but not a MPEG TS it will be\n"
"converted using ffmpeg automaticly.</property>\n"
"                <property name=\"preview_widget_active\">False</property>\n"
"                <property name=\"create_folders\">False</property>\n"
"                <signal name=\"file_set\" handler=\"inputfile_button_file_activated_cb\"/>\n"
"                <signal name=\"file_activated\" handler=\"inputfile_button_file_activated_cb\"/>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">1</property>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkHSeparator\" id=\"hseparator2\">\n"
"                <property name=\"visible\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">3</property>\n"
"                <property name=\"bottom_attach\">4</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label2\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">This is not the directory with the COMAG files (meta.dat,\n"
"rec.bm, rec.cp, rec.ts, rec.01, ...) but the directory where\n"
"the record directory named rec_NNNN (NNNN is an\n"
"integer number) with the COMAG files will be stored.  The\n"
"COMAG PVR 2/100 CI can show movies of such record\n"
"directories if they are at the root directory of the internal\n"
"HDD or an external USB device.</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files to&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">_Record directory:</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"                <property name=\"mnemonic_widget\">outputdir_button</property>\n"
"                <property name=\"single_line_mode\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"top_attach\">4</property>\n"
"                <property name=\"bottom_attach\">5</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"                <property name=\"x_padding\">4</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkFileChooserButton\" id=\"outputdir_button\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">This is not the directory with the COMAG files (meta.dat,\n"
"rec.bm, rec.cp, rec.ts, rec.01, ...) but the directory where\n"
"the record directory named rec_NNNN (NNNN is an\n"
"integer number) with the COMAG files will be stored.  The\n"
"COMAG PVR 2/100 CI can show movies of such record\n"
"directories if they are at the root directory of the internal\n"
"HDD or an external USB device.</property>\n"
"                <property name=\"action\">select-folder</property>\n"
"                <property name=\"preview_widget_active\">False</property>\n"
"                <property name=\"title\" translatable=\"yes\">Select record directory:</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">1</property>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">4</property>\n"
"                <property name=\"bottom_attach\">5</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label3\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">The integer number of the record.  Numbers from 0..9999\n"
"are valid, but the receiver can handle at least 200 records\n"
"currently.</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"xpad\">4</property>\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files to&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">Record _number:</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"		<property name=\"mnemonic_widget\">dirnumber_button</property>\n"
"                <property name=\"single_line_mode\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"top_attach\">5</property>\n"
"                <property name=\"bottom_attach\">6</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkSpinButton\" id=\"dirnumber_button\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">The integer number of the record.  Numbers from 0..9999\n"
"are valid, but the receiver can handle at least 200 records\n"
"currently.</property>\n"
"                <property name=\"max_length\">4</property>\n"
"                <property name=\"invisible_char\">&#x25CF;</property>\n"
"                <property name=\"width_chars\">4</property>\n"
"                <property name=\"truncate_multiline\">True</property>\n"
"                <property name=\"adjustment\">dirnum_adjust</property>\n"
"                <property name=\"climb_rate\">1</property>\n"
"                <property name=\"snap_to_ticks\">True</property>\n"
"                <property name=\"numeric\">True</property>\n"
"                <property name=\"update_policy\">if-valid</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">2</property>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">5</property>\n"
"                <property name=\"bottom_attach\">6</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkCheckButton\" id=\"firstunuseddir_button\">\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files to&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">_First available from:</property>\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"receives_default\">False</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Don't try to use the given number but the first unused\n"
"record number starting with the given number.</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"active\">True</property>\n"
"                <property name=\"draw_indicator\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">1</property>\n"
"                <property name=\"right_attach\">2</property>\n"
"                <property name=\"top_attach\">5</property>\n"
"                <property name=\"bottom_attach\">6</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label4\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">If auto-conversion with ffmpeg is needed, a temporary\n"
"MPEG TS file will be created using this directory.  The file\n"
"will be removed after creating the record.\n"
"Note: The temporary file may be very large, so this should\n"
"be not a FAT directory but ext3, NTFS or something else\n"
"providing large files (&gt;4GB).</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"xpad\">4</property>\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files to&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">_Temporary files to:</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"                <property name=\"mnemonic_widget\">tempdir_button</property>\n"
"                <property name=\"single_line_mode\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"top_attach\">2</property>\n"
"                <property name=\"bottom_attach\">3</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkFileChooserButton\" id=\"tempdir_button\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"sensitive\">False</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">If auto-conversion with ffmpeg is needed, a temporary\n"
"MPEG TS file will be created using this directory.  The file\n"
"will be removed after creating the record.\n"
"Note: The temporary file may be very large, so this should\n"
"be not a FAT directory but ext3, NTFS or something else\n"
"providing large files (&gt;4GB).</property>\n"
"                <property name=\"action\">select-folder</property>\n"
"                <property name=\"preview_widget_active\">False</property>\n"
"                <property name=\"title\" translatable=\"yes\">Select directory for temporary files:</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">1</property>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">2</property>\n"
"                <property name=\"bottom_attach\">3</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkHSeparator\" id=\"hseparator3\">\n"
"                <property name=\"visible\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">6</property>\n"
"                <property name=\"bottom_attach\">7</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label6\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Each record has a title.  The title will be shown in the movie\n"
"list of the receiver and at the info box showing a movie.</property>\n"
"                <property name=\"xalign\">0</property>\n"
"                <property name=\"xpad\">4</property>\n"
"                <property name=\"label\" translatable=\"yes\" comments=\"Underscore must be unique for &quot;Video file&quot;, &quot;Video title&quot;, &quot;Temporary files directory&quot;, &quot;Record directory&quot;, &quot;Record number&quot;, &quot;first available from&quot;, &quot;About&quot;, &quot;Execute&quot;, &quot;Quit&quot;\">Video t_itel:</property>\n"
"                <property name=\"use_underline\">True</property>\n"
"		<property name=\"mnemonic_widget\">text_title</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"top_attach\">1</property>\n"
"                <property name=\"bottom_attach\">2</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkEntry\" id=\"text_title\">\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Each record has a title.  The title will be shown in the movie\n"
"list of the receiver and at the info box showing a movie.</property>\n"
"                <property name=\"max_length\">62</property>\n"
"                <property name=\"invisible_char\">&#x25CF;</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"left_attach\">1</property>\n"
"                <property name=\"right_attach\">3</property>\n"
"                <property name=\"top_attach\">1</property>\n"
"                <property name=\"bottom_attach\">2</property>\n"
"                <property name=\"y_options\">GTK_EXPAND</property>\n"
"              </packing>\n"
"            </child>\n"
"          </object>\n"
"          <packing>\n"
"            <property name=\"position\">3</property>\n"
"          </packing>\n"
"        </child>\n"
"        <child internal-child=\"action_area\">\n"
"          <object class=\"GtkHButtonBox\" id=\"dialog-action_area2\">\n"
"            <property name=\"visible\">True</property>\n"
"            <property name=\"layout_style\">end</property>\n"
"            <child>\n"
"              <object class=\"GtkButton\" id=\"about_button\">\n"
"                <property name=\"label\">gtk-about</property>\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"receives_default\">True</property>\n"
"                <property name=\"tooltip_markup\">&#xFC;ber createrec</property>\n"
"                <property name=\"use_stock\">True</property>\n"
"                <signal name=\"clicked\" handler=\"about_button_clicked_cb\"/>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"expand\">False</property>\n"
"                <property name=\"fill\">False</property>\n"
"                <property name=\"position\">0</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkLabel\" id=\"label5\">\n"
"                <property name=\"visible\">True</property>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"expand\">False</property>\n"
"                <property name=\"fill\">False</property>\n"
"                <property name=\"position\">1</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkButton\" id=\"action_button\">\n"
"                <property name=\"label\">gtk-execute</property>\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"sensitive\">False</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"receives_default\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Start conversion.  If a ffmpeg conversion of the video is\n"
"needed, this may need a long time (up to several hours).\n"
"Conversion of MPEG TS is very fast (seconds up to minutes).</property>\n"
"                <property name=\"use_stock\">True</property>\n"
"                <signal name=\"clicked\" handler=\"action_button_clicked_cb\"/>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"expand\">False</property>\n"
"                <property name=\"fill\">False</property>\n"
"                <property name=\"position\">2</property>\n"
"              </packing>\n"
"            </child>\n"
"            <child>\n"
"              <object class=\"GtkButton\" id=\"quit_button\">\n"
"                <property name=\"label\">gtk-quit</property>\n"
"                <property name=\"visible\">True</property>\n"
"                <property name=\"can_focus\">True</property>\n"
"                <property name=\"receives_default\">True</property>\n"
"                <property name=\"tooltip_text\" translatable=\"yes\">Quit createrec without doing the conversion.</property>\n"
"                <property name=\"use_stock\">True</property>\n"
"                <signal name=\"clicked\" handler=\"quit_button_clicked_cb\"/>\n"
"              </object>\n"
"              <packing>\n"
"                <property name=\"expand\">False</property>\n"
"                <property name=\"fill\">False</property>\n"
"                <property name=\"position\">3</property>\n"
"              </packing>\n"
"            </child>\n"
"          </object>\n"
"          <packing>\n"
"            <property name=\"expand\">False</property>\n"
"            <property name=\"pack_type\">end</property>\n"
"            <property name=\"position\">-1</property>\n"
"          </packing>\n"
"        </child>\n"
"      </object>\n"
"    </child>\n"
"    <action-widgets>\n"
"      <action-widget response=\"0\">about_button</action-widget>\n"
"      <action-widget response=\"0\">action_button</action-widget>\n"
"      <action-widget response=\"0\">quit_button</action-widget>\n"
"    </action-widgets>\n"
"  </object>\n"
"  <object class=\"GtkAdjustment\" id=\"dirnum_adjust\">\n"
"    <property name=\"upper\">9999</property>\n"
"    <property name=\"step_increment\">1</property>\n"
"    <property name=\"page_increment\">1000</property>\n"
"    <property name=\"page_size\">1000</property>\n"
"  </object>\n"
"</interface>\n"
;
